JENSCRIPT(1)

NAME
jenscript - convert japanese text to PostScript

SYNOPSIS
jenscript [-EGMdknstx] [-columns] [-F afont] [-L lines] [-P printpage] [-S fontsize] [-b header] [-f kfont] [-l language] files ...

DESCRIPTION
jenscript prints files as a PostScript file. The result will hold japanese font names, and may need post-processing through kanjips(1) to be printed.

The options are as follows:

-E  Assume EUC encoding for the input files, instead of the default JIS/SJIS encodings. Note that jenscript does not handle automatic encoding recognition. You should use a tool such as nkf(1) for that.

-G  Display a banner on top of each page.

-M  Set manual feed.

-d  Debug mode.

-k  Encode character data as octal, for transmission on 7-bit lines.

-n  Suppress PS-Adobe-2.0 in header.

-s  Use A4 paper size instead of the default US letter size.

-t  Turn paper to Landscape orientation.

-x  Use fixed width fonts for roman characters. This replaces Times-Roman, Times-Bold, and Times-Italic with Courier, Courier-Bold and Courier-Oblique.

-columns
    Output columns columns on each page. By default, jenscript outputs one single column.

-F afont
    Use the single PostScript font afont instead of the default roman fonts.

-L lines
    Output lines lines in each column. By default, the number of lines is computed from the font size.

-P printpage
    Start printing from page printpage.

-S fontsize
    Use fontsize as the roman character font size. By default, 6 points.

-b header
    Print header in the header line instead of the current file name. This only makes sense if -g is also used.

-f kfont
    Use kfont as a japanese kanji font.

-l language
    Format text according to vgrind(1) specs for language

The choice of japanese font and japanese font sizes are normally automatic from the roman font size. Sizes of 6 points, 8 points and 12 points correspond to the jis24, jis32 and jis48 fonts, respectively. Since those are bitmap fonts, using other sizes will only affect the roman characters sizes.

FILES
/usr/local/share/kanjips_fonts
    Where the jis24, jis32, jis48 fonts are used.

SEE ALSO
kanjips(1), nkf(1), vgrind(1)